<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__mcwdt__enums" kind="group">
    <compoundname>group_mcwdt_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__mcwdt__enums_1gaf24fe552bfb229753a1306574961f2a7" kind="enum" prot="public" static="no">
        <name>cy_en_mcwdtctr_t</name>
        <enumvalue id="group__group__mcwdt__enums_1ggaf24fe552bfb229753a1306574961f2a7a4f49931ab77b63b3c8d33f04d5a09e72" prot="public">
          <name>CY_MCWDT_COUNTER0</name>
          <briefdescription>
<para>Sub-counter#0 identifier. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1ggaf24fe552bfb229753a1306574961f2a7a337c3b0dd5ce9a812aab38a4bd2a90c2" prot="public">
          <name>CY_MCWDT_COUNTER1</name>
          <briefdescription>
<para>Sub-counter#1 identifier. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1ggaf24fe552bfb229753a1306574961f2a7ade228ad9be79ad87663f2b0477603d47" prot="public">
          <name>CY_MCWDT_COUNTER2</name>
          <briefdescription>
<para>Sub-counter#2 identifier. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_mcwdtctr_t: </bold><linebreak />The mcwdt sub-counter identifiers.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="280" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="275" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="276" />
      </memberdef>
      <memberdef id="group__group__mcwdt__enums_1gaa3ab9dd24dfec93a9982f06b5d7f0221" kind="enum" prot="public" static="no">
        <name>cy_en_mcwdtmode_t</name>
        <enumvalue id="group__group__mcwdt__enums_1ggaa3ab9dd24dfec93a9982f06b5d7f0221ac5e6ba86a3e2637ca4dbd241797af501" prot="public">
          <name>CY_MCWDT_MODE_NONE</name>
          <briefdescription>
<para>The No action mode. </para>          </briefdescription>
          <detaileddescription>
<para>It is used for Set/GetMode functions. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1ggaa3ab9dd24dfec93a9982f06b5d7f0221a65e32652347cf8dae1d32691ff284b40" prot="public">
          <name>CY_MCWDT_MODE_INT</name>
          <briefdescription>
<para>The Interrupt mode. </para>          </briefdescription>
          <detaileddescription>
<para>It is used for Set/GetMode functions. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1ggaa3ab9dd24dfec93a9982f06b5d7f0221a82a90fe28c73fea40f874c6a6dc496b6" prot="public">
          <name>CY_MCWDT_MODE_RESET</name>
          <briefdescription>
<para>The Reset mode. </para>          </briefdescription>
          <detaileddescription>
<para>It is used for Set/GetMode functions. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1ggaa3ab9dd24dfec93a9982f06b5d7f0221aed455256dd3dbc0d6fe095bc97cd2216" prot="public">
          <name>CY_MCWDT_MODE_INT_RESET</name>
          <briefdescription>
<para>The Three interrupts then watchdog reset mode. </para>          </briefdescription>
          <detaileddescription>
<para>It is used for Set/GetMode functions. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_mcwdtmode_t: </bold><linebreak />The mcwdt modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="290" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="283" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="284" />
      </memberdef>
      <memberdef id="group__group__mcwdt__enums_1ga5839a43ea48c22508e74388c2215b887" kind="enum" prot="public" static="no">
        <name>cy_en_mcwdtcascade_t</name>
        <enumvalue id="group__group__mcwdt__enums_1gga5839a43ea48c22508e74388c2215b887a7414ce1ed77fd213464360a4bb86d34b" prot="public">
          <name>CY_MCWDT_CASCADE_NONE</name>
          <briefdescription>
<para>The cascading is disabled. </para>          </briefdescription>
          <detaileddescription>
<para>It is used for Set/GetCascade functions. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1gga5839a43ea48c22508e74388c2215b887a11941ac17c70831a9ddea52acd2737fe" prot="public">
          <name>CY_MCWDT_CASCADE_C0C1</name>
          <briefdescription>
<para>The sub-counter#1 is clocked by LFCLK or from sub-counter#0 cascade. </para>          </briefdescription>
          <detaileddescription>
<para>It is used for Set/GetCascade functions. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1gga5839a43ea48c22508e74388c2215b887ab72acce3db79bb543b7bd02b3b06425b" prot="public">
          <name>CY_MCWDT_CASCADE_C1C2</name>
          <briefdescription>
<para>The sub-counter#2 is clocked by LFCLK or from sub-counter#1 cascade. </para>          </briefdescription>
          <detaileddescription>
<para>It is used for Set/GetCascade functions. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1gga5839a43ea48c22508e74388c2215b887a3aa2c02b5f734fbf16fc7566fe0eb416" prot="public">
          <name>CY_MCWDT_CASCADE_BOTH</name>
          <briefdescription>
<para>The sub-counter#1 is clocked by LFCLK or from sub-counter#0 cascade and the sub-counter#2 is clocked by LFCLK or from sub-counter#1 cascade. </para>          </briefdescription>
          <detaileddescription>
<para>It is used for Set/GetCascade functions. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_mcwdtcascade_t: </bold><linebreak />The mcwdt cascading.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="303" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="293" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="294" />
      </memberdef>
      <memberdef id="group__group__mcwdt__enums_1gac983f45895a641f98b9b887e453a8a5d" kind="enum" prot="public" static="no">
        <name>cy_en_mcwdt_status_t</name>
        <enumvalue id="group__group__mcwdt__enums_1ggac983f45895a641f98b9b887e453a8a5dad10c3bbc046c2ce5cf5e17f690e46d2f" prot="public">
          <name>CY_MCWDT_SUCCESS</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__mcwdt__enums_1ggac983f45895a641f98b9b887e453a8a5daaed53ccf1629be662b6537d1d4558cb2" prot="public">
          <name>CY_MCWDT_BAD_PARAM</name>
          <initializer>= CY_MCWDT_ID | CY_PDL_STATUS_ERROR | 0x01u</initializer>
          <briefdescription>
<para>One or more invalid parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_mcwdt_status_t: </bold><linebreak />The MCWDT error codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="310" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="306" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="307" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>